Bug 7103 - build broken on Tru64
build broken on Tru64
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.0rc2
Alpha OSF/1
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-05 16:52 UTC by Björn Jacke
Modified: 2010-02-08 09:07 UTC (History)
0 users

See Also:
vl: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2010-02-05 16:52:26 UTC
3.5 does not build on Tru64. Michael, I think this has been your Baustelle, right? Can you have a look here, please?

cc: Error: ./modules/vfs_acl_common.c, line 172: Missing ";". (nosemi)
	enum security_ace_type  acl_common . entry_type ;
-------------------------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 206: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
	access_mask = map_canon_ace_perms( ( ( conn ) ? ( conn ) -> params -> service : ( - 1 ) ) , & acl_common . entry_type ,
------------------------------------------------------------------------------------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 211: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
			 acl_common . entry_type ,
-------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 216: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
	access_mask = map_canon_ace_perms( ( ( conn ) ? ( conn ) -> params -> service : ( - 1 ) ) , & acl_common . entry_type ,
------------------------------------------------------------------------------------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 220: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
			 acl_common . entry_type ,
-------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 225: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
	access_mask = map_canon_ace_perms( ( ( conn ) ? ( conn ) -> params -> service : ( - 1 ) ) , & acl_common . entry_type ,
------------------------------------------------------------------------------------------------------^
cc: Error: ./modules/vfs_acl_common.c, line 229: In this statement, "acl_common" has an enum type, but occurs in a context that requires a union or struct. (needstruct)
			 acl_common . entry_type ,
-------------------------^
The following command failed:
cc -I../lib/zlib -g1 -I. -I/usr/users/build/build_farm/samba_3_master/source -I/usr/users/build/build_farm/samba_3_master/source/iniparser/src -Iinclude -I./include  -I. -I. -I./../lib/replace -I./../lib/tevent -I./libaddns -I./librpc -I./.. -I./../lib/talloc -I../lib/tdb/include -DHAVE_CONFIG_H  -I/usr/local/include -Iinclude -I./include -I. -I. -I./../lib/replace -I./../lib/tevent -I./libaddns -I./librpc -I./.. -I./../lib/popt -DLDAP_DEPRECATED  -I/usr/users/build/build_farm/samba_3_master/source/lib -I.. -I../source4 -D_SAMBA_BUILD_=3 -D_SAMBA_BUILD_=3  -fPIC -c modules/vfs_acl_xattr.c -o modules/vfs_acl_xattr.o
gmake: *** [modules/vfs_acl_xattr.o] Error 1
Comment 1 Volker Lendecke 2010-02-06 05:07:52 UTC
It seems that a Tru64 header has a #define on "acl_type". Can you give

#undef acl_type

just before that routine a try, or rename "acl_type" to "acltype" or so?

Volker
Comment 2 Björn Jacke 2010-02-07 14:10:09 UTC
thanks, that was the right way to go. Volker do can you review 328a6264a7b64dce9378bf9c9c2ab3aeb7d755c7 for merging to 3.5 please?
Comment 3 Volker Lendecke 2010-02-07 15:02:27 UTC
Yep, looks good 
Comment 4 Karolin Seeger 2010-02-08 09:07:57 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!